Bug 1023 - Incomplete dependencies
: Incomplete dependencies
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgtkhtml-devel)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-06-21 08:49 by
Modified: 2005-08-30 12:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-06-21 08:49:52
libgtkhtml-devel (and perhaps all other complex -devel packages) should include
dependencies on all _devel_ packages that will be required to build a
libgtkhtml-dependant app.

This should include libgal-devel, libgnomeprint-devel etc (check
/usr/lib/gtkhtmlConf.sh for the complete list). The list can be easily built w/
a [semi-]automated app that checks appropriate data (using new-style pkgtool or
old-style *-config.sh)

Thus we could simplify dependencies list in end-user apps: it would be exactly
what is specified in its configure.ac.
---

---
------- Comment #1 From 2004-05-24 15:04:53 -------
на мантейнера 
 
------- Comment #2 From 2004-05-27 18:58:12 -------
Fixed in gtkhtml-1.1.10-alt2